library FileExist;

uses Windows, SysUtils;

Function PingAddress(Address: PChar; Status: PChar; Error: PChar; iTimeOutMSec: DWORD): BOOL; stdcall;
Begin
  Result:=FileExists(Address);
  If (Result) then
    StrPCopy(Status, 'File ''%Address'' exists.')
  Else
    StrPCopy(Status, 'File ''%Address'' doesn''t exist.');
End;

Procedure GetTitle(Buffer: PChar); stdcall;
Begin
  StrPCopy(Buffer, 'File exist');
End;

Procedure GetDescription(Buffer: PChar); stdcall;
Const EOL = #$D#$A;
Begin
  StrPCopy(Buffer,
    'Tests if a specified file exists.'+EOL+EOL+
    'It is necessary to specify the file instead of address.');
End;

Function GetSolveIP: BOOL;
Begin
  Result:=False;
End;

exports
  PingAddress,
  GetTitle,
  GetDescription,
  GetSolveIP;

begin
end.
